commit 38569170f88d96288806ab4ad9d9bdb36320bbf0
Author: Jason Merrill <jason@redhat.com>
Date:   Tue Aug 27 13:15:52 2024 -0400

    libstdc++: avoid -Wzero-as-null-pointer-constant
    
    libstdc++-v3/ChangeLog:
    
            * include/std/coroutine (coroutine_handle): Use nullptr instead of
            0 as initializer for _M_fr_ptr.
    
    (cherry picked from commit 28f94bf91a536395347a2da5558f0ddf014e814f)

diff --git a/libstdc++-v3/include/std/coroutine b/libstdc++-v3/include/std/coroutine
index 908c1178a14..ccd016b255e 100644
--- a/libstdc++-v3/include/std/coroutine
+++ b/libstdc++-v3/include/std/coroutine
@@ -99,7 +99,7 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
     {
     public:
       // [coroutine.handle.con], construct/reset
-      constexpr coroutine_handle() noexcept : _M_fr_ptr(0) {}
+      constexpr coroutine_handle() noexcept : _M_fr_ptr(nullptr) {}
 
       constexpr coroutine_handle(std::nullptr_t __h) noexcept
 	: _M_fr_ptr(__h)

